/*****************************************************************************
*                                                                            *
*   Paint.NET Toli Effects                                                   *
*   Copyright (C) Toli Cuturicu 2007-2008                                    *
*   e-Mail: tolicuturicu@yahoo.com                                           *
*                                                                            *
*   This program is free software: you can redistribute it and/or modify     *
*   it under the terms of the GNU General Public License as published by     *
*   the Free Software Foundation, either version 3 of the License, or        *
*   (at your option) any later version.                                      *
*                                                                            *
*   This program is distributed in the hope that it will be useful,          *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
*   GNU General Public License for more details.                             *
*                                                                            *
*   You should have received a copy of the GNU General Public License        *
*   along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
*                                                                            *
*****************************************************************************/

using System;
using PaintDotNet.Effects;

namespace Toli
{
	public class MirrorRotateEffectConfigToken : EffectConfigToken
	{
		// Constructors
		public MirrorRotateEffectConfigToken()
			: base()
		{
			this.Style = MirrorRotateStyles.None;
		}

		protected MirrorRotateEffectConfigToken(MirrorRotateEffectConfigToken copyMe)
			: base(copyMe)
		{
			this.Style = copyMe.Style;
		}

		public override object Clone()
		{
			return new MirrorRotateEffectConfigToken(this);
		}


		// Private Fields
		private MirrorRotateStyles _Style;


		// Public Properties
		public MirrorRotateStyles Style
		{
		  get { return _Style; }
		  set { _Style = value; }
		}

	}
}
