/*****************************************************************************
*                                                                            *
*   Paint.NET Toli Effects                                                   *
*   Copyright (C) Toli Cuturicu 2007-2008                                    *
*   e-Mail: tolicuturicu@yahoo.com                                           *
*                                                                            *
*   This program is free software: you can redistribute it and/or modify     *
*   it under the terms of the GNU General Public License as published by     *
*   the Free Software Foundation, either version 3 of the License, or        *
*   (at your option) any later version.                                      *
*                                                                            *
*   This program is distributed in the hope that it will be useful,          *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
*   GNU General Public License for more details.                             *
*                                                                            *
*   You should have received a copy of the GNU General Public License        *
*   along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
*                                                                            *
*****************************************************************************/

using System;
using System.Drawing;
using Toli.Properties;

namespace Toli
{
	public static class ResourceHelper
	{
		// Keys
		private const string HorizontalKey = "Horizontal";
		private const string VerticalKey = "Vertical";
		private const string FirstDiagonalKey = "FirstDiagonal";
		private const string SecondDiagonalKey = "SecondDiagonal";
		private const string Rotate90Key = "Rotate90";
		private const string Rotate180Key = "Rotate180";
		private const string Rotate270Key = "Rotate270";

		// Language Ini File
		private static IniFile LanguageIniFile = IniFile.GetLanguageIniFile();

		// Names
		public static string SubmenuName = LanguageIniFile.ReadSubmenuName();
		public static string HorizontalName = LanguageIniFile.ReadString(HorizontalKey);
		public static string VerticalName = LanguageIniFile.ReadString(VerticalKey);
		public static string FirstDiagonalName = LanguageIniFile.ReadString(FirstDiagonalKey);
		public static string SecondDiagonalName = LanguageIniFile.ReadString(SecondDiagonalKey);
		public static string Rotate90Name = LanguageIniFile.ReadString(Rotate90Key);
		public static string Rotate180Name = LanguageIniFile.ReadString(Rotate180Key);
		public static string Rotate270Name = LanguageIniFile.ReadString(Rotate270Key);

		// Icons
		public static Bitmap HorizontalIcon = Resources.Horizontal;
		public static Bitmap VerticalIcon = Resources.Vertical;
		public static Bitmap FirstDiagonalIcon = Resources.FirstDiagonal;
		public static Bitmap SecondDiagonalIcon = Resources.SecondDiagonal;
		public static Bitmap Rotate90Icon = Resources.Rotate90;
		public static Bitmap Rotate180Icon = Resources.Rotate180;
		public static Bitmap Rotate270Icon = Resources.Rotate270;

	}
}
