/*****************************************************************************
*                                                                            *
*   Paint.NET Toli Effects                                                   *
*   Copyright (C) Toli Cuturicu 2007-2008                                    *
*   e-Mail: tolicuturicu@yahoo.com                                           *
*                                                                            *
*   This program is free software: you can redistribute it and/or modify     *
*   it under the terms of the GNU General Public License as published by     *
*   the Free Software Foundation, either version 3 of the License, or        *
*   (at your option) any later version.                                      *
*                                                                            *
*   This program is distributed in the hope that it will be useful,          *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of           *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
*   GNU General Public License for more details.                             *
*                                                                            *
*   You should have received a copy of the GNU General Public License        *
*   along with this program.  If not, see <http://www.gnu.org/licenses/>.    *
*                                                                            *
*****************************************************************************/

using System;
using System.Drawing;
using PaintDotNet;
using PaintDotNet.Effects;

namespace Toli
{
	[EffectCategory(EffectCategory.Effect)]
	public class VerticalMirrorEffect : Effect
	{
		public VerticalMirrorEffect()
			: base(ResourceHelper.VerticalName, ResourceHelper.VerticalIcon, ResourceHelper.SubmenuName, EffectFlags.None) { }

		public override void Render(EffectConfigToken parameters, RenderArgs dstArgs, RenderArgs srcArgs, Rectangle[] rois, int startIndex, int length)
		{
			PdnRegion SelectionRegion = EnvironmentParameters.GetSelection(srcArgs.Surface.Bounds);
			Rectangle Selection = SelectionRegion.GetBoundsInt();
			int x0 = Selection.Left + Selection.Right - 1;
			for (int Index = startIndex; Index < startIndex + length; ++Index)
			{
				Rectangle Rect = rois[Index];
				for (int y = Rect.Top; y < Rect.Bottom; y++)
					for (int x = Rect.Left; x < Rect.Right; x++)
						dstArgs.Surface[x, y] = srcArgs.Surface[x0 - x, y];
			}
		}

	}
}
